package domain

type AlibabaWdkMarketingItempoolActivityCreateCoverAllDiscountRule struct {
	/*
	   每件商品一口价【分】     */
	EachFixPrice *int64 `json:"each_fix_price,omitempty" `

	/*
	   整体打折【600=6折】     */
	CoverAllDiscountRate *int64 `json:"cover_all_discount_rate,omitempty" `

	/*
	   整体减钱【分】     */
	CoverAllDecreaseMoney *int64 `json:"cover_all_decrease_money,omitempty" `

	/*
	   整体一口价【分】     */
	CoverAllFixPrice *int64 `json:"cover_all_fix_price,omitempty" `

	/*
	   是否整体一口价     */
	IsCoverAllFixPrice *bool `json:"is_cover_all_fix_price,omitempty" `

	/*
	   是否整体减钱     */
	IsCoverAllDecreaseMoney *bool `json:"is_cover_all_decrease_money,omitempty" `

	/*
	   是否整体打折     */
	IsCoverAllDiscountRate *bool `json:"is_cover_all_discount_rate,omitempty" `

	/*
	   是否每件一口价     */
	IsEachFixPrice *bool `json:"is_each_fix_price,omitempty" `
}

func (s *AlibabaWdkMarketingItempoolActivityCreateCoverAllDiscountRule) SetEachFixPrice(v int64) *AlibabaWdkMarketingItempoolActivityCreateCoverAllDiscountRule {
	s.EachFixPrice = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolActivityCreateCoverAllDiscountRule) SetCoverAllDiscountRate(v int64) *AlibabaWdkMarketingItempoolActivityCreateCoverAllDiscountRule {
	s.CoverAllDiscountRate = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolActivityCreateCoverAllDiscountRule) SetCoverAllDecreaseMoney(v int64) *AlibabaWdkMarketingItempoolActivityCreateCoverAllDiscountRule {
	s.CoverAllDecreaseMoney = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolActivityCreateCoverAllDiscountRule) SetCoverAllFixPrice(v int64) *AlibabaWdkMarketingItempoolActivityCreateCoverAllDiscountRule {
	s.CoverAllFixPrice = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolActivityCreateCoverAllDiscountRule) SetIsCoverAllFixPrice(v bool) *AlibabaWdkMarketingItempoolActivityCreateCoverAllDiscountRule {
	s.IsCoverAllFixPrice = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolActivityCreateCoverAllDiscountRule) SetIsCoverAllDecreaseMoney(v bool) *AlibabaWdkMarketingItempoolActivityCreateCoverAllDiscountRule {
	s.IsCoverAllDecreaseMoney = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolActivityCreateCoverAllDiscountRule) SetIsCoverAllDiscountRate(v bool) *AlibabaWdkMarketingItempoolActivityCreateCoverAllDiscountRule {
	s.IsCoverAllDiscountRate = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolActivityCreateCoverAllDiscountRule) SetIsEachFixPrice(v bool) *AlibabaWdkMarketingItempoolActivityCreateCoverAllDiscountRule {
	s.IsEachFixPrice = &v
	return s
}
